%define module  urllib3

Summary:        Python HTTP library with thread-safe connection pooling, file post, and more
Name:           python-%{module}
Version:        1.21.1
Release:        %mkrel 1
Source0:        https://pypi.io/packages/source/u/%{module}/%{module}-%{version}.tar.xz
Source1:        ssl_match_hostname_py3.py
License:        MIT
Group:          Development/Python
Url:            http://urllib3.readthedocs.org/
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  python-setuptools
Requires:       rootcerts
Requires:       python-six
Requires:       python-backports-ssl_match_hostname

%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%package -n     python3-%{module}
Summary:        Python 3 HTTP library with thread-safe connection pooling, file post, and more
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       rootcerts
Requires:       python3-six

%description -n python3-%{module}
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -q -n %{module}-%{version}

rm -rf test/with_dummyserver/

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

rm -rf %{buildroot}%{python2_sitelib}/urllib3/packages/six.py*
rm -rf %{buildroot}%{python2_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python2_sitelib}/urllib3/packages/
ln -s ../../six.py %{buildroot}%{python2_sitelib}/urllib3/packages/six.py
ln -s ../../six.pyc %{buildroot}%{python2_sitelib}/urllib3/packages/six.pyc
ln -s ../../six.pyo %{buildroot}%{python2_sitelib}/urllib3/packages/six.pyo
ln -s ../../backports/ssl_match_hostname %{buildroot}%{python2_sitelib}/urllib3/packages/ssl_match_hostname

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python2_sitelib}/dummyserver

pushd %{py3dir}
%py3_install

%define shortversion  %(%{__python3} -c "import sys; print(sys.version[0]+sys.version[2])")

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python3_sitelib}/dummyserver

rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/six.py
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/__pycache__/six.cpython-35.opt-1.pyc 
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/__pycache__/six.cpython-35.pyc
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python3_sitelib}/urllib3/packages/
ln -s ../../six.py %{buildroot}%{python3_sitelib}/urllib3/packages/six.py
cp %{SOURCE1} %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname.py

popd


%files
%doc CHANGES.rst README.rst CONTRIBUTORS.txt
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc CHANGES.rst README.rst CONTRIBUTORS.txt
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Dec 17 2017 adrianomorselli <adrianomorselli> 1.21.1-1uplos2017
- update
